'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.flashState = flashState;

var _Flash_actions = require('./Flash_actions');

var initialState = {
  show: false,
  message: '',
  status: ''
};

function flashState() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : initialState;
  var action = arguments[1];

  switch (action.type) {
    case _Flash_actions.SHOW_FLASH:
      return {
        status: action.status,
        message: action.message,
        show: true
      };
    case _Flash_actions.HIDE_FLASH:
      return Object.assign({}, state, {
        show: false
      });
    default:
      return state;
  }
}